package graficos;


import java.awt.Color;
import java.awt.GradientPaint;
import java.awt.Paint;

import org.jfree.chart.plot.DrawingSupplier;
import org.jfree.chart.renderer.xy.XYLineAndShapeRenderer;

public class MyXYLineAndShapeRenderer2 extends XYLineAndShapeRenderer{
	 
	private Color[] CorDoPonto;
	
	public MyXYLineAndShapeRenderer2(Color[] cores)
	 {
		super(); 
		this.CorDoPonto = cores;
	 }
	
	/*
	
	//Linha � a s�rie, coluna � o ponto
    public Paint getItemPaint(int linha, int coluna) {
       Color corDoItem = null;
    
       if( linha == 3  && coluna ==0 ){
    	   // Vermelho escuro
           Color corCMAntes = new Color(128, 0, 0);     
    	   corDoItem = corCMAntes;
       }
       else if( linha == 4  && coluna ==0 ){
           //VermelhoClaro
           Color corCMDepois =new Color(255, 85, 85); 
    	   corDoItem = Color.RED;
       }
       else if( linha == 1 ){
    	   corDoItem = CorDoPonto[coluna];
       }
       else if( linha == 2 ){
    	   //Verde
    	   //Color corSeriePontosAntes = new Color(85, 255, 85);
    	   //corDoItem = corSeriePontosAntes;
    	   int transparency = 100;
    	   corDoItem = new Color(CorDoPonto[coluna].getRed(), 
    			                 CorDoPonto[coluna].getGreen(),
    			                 CorDoPonto[coluna].getBlue(),
    			                 transparency);
    	
       }
       else if( linha == 0 ){
    	   corDoItem = Color.LIGHT_GRAY;
       }
       
       return corDoItem;
        //return getSeriesPaint(row);

    }
*/
}

